Name:          libmygpo-qt
Version:       1.2.0
Release:       1mamba
Summary:       A library supporting gpodder.net Podcast Directory
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/gpodder/libmygpo-qt
Source:        http://stefan.derkits.at/files/libmygpo-qt/libmygpo-qt.%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Core
BuildRequires: libQt5Network
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
Obsoletes:     libmyqpo-qt < 1.1.0-2mamba

%description
A library supporting gpodder.net Podcast Directory.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libmyqpo-qt-devel < 1.1.0-2mamba

%description devel
A library supporting gpodder.net Podcast Directory.
This package contains static libraries and header files needed for development.

%prep
%setup -q -n %{name}

%build
%cmake -d build \
   -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/mygpo-qt5

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libmygpo-qt5.so.*
%doc AUTHORS LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/mygpo-qt5
%{_includedir}/mygpo-qt5/*.h
%{_libdir}/libmygpo-qt5.so
%{_libdir}/pkgconfig/libmygpo-qt5.pc
%dir %{_libdir}/cmake/mygpo-qt5
%{_libdir}/cmake/mygpo-qt5/Mygpo-qt5*.cmake
%doc README

%changelog
* Mon Apr 21 2025 Automatic Build System <autodist@openmamba.org> 1.2.0-1mamba
- automatic version update by autodist

* Wed Aug 28 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-3mamba
- install headers at %_includedir/mygpo-qt5

* Fri Nov 22 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-2mamba
- remove past patch to fix pkgconfig

* Sun Apr 15 2018 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Sat Nov 18 2017 Automatic Build System <autodist@mambasoft.it> 1.0.9-1mamba
- automatic update by autodist

* Sun Aug 31 2014 Automatic Build System <autodist@mambasoft.it> 1.0.8-1mamba
- automatic version update by autodist

* Sat Oct 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.7-2mamba
- fix include dir in pkgconfig file

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic version update by autodist

* Sun Oct 14 2012 Davide Madrisan <davide.madrisan@gmail.com> 1.0.6-1mamba
- update to 1.0.6

* Mon Jan 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.5-1mamba
- update to 1.0.5

* Tue Sep 20 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1mamba
- package created by autospec
